/* GENERAL */

body {
    overflow: hidden;
    margin: 0;
}

.container {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(45deg, #ddcdc0, #e7ddd4);
}

.wrapper {
    position: relative;
    background-color: rgb(253, 252, 236);
}

/* MESSAGE */

.message {
    z-index: 10;
    position: absolute;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    font-size: 2rem;
    padding: 2rem;
    margin: 0;
    color: rgb(44, 44, 44);
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
}

.button {
    min-width: 6rem;
    min-height: 3rem;
    font-size: 1.5rem;
    font-weight: bold;
    border-radius: 6px;
    border: solid 3px rgb(44, 44, 44);
    background-color: rgb(253, 252, 236);
    color: rgb(44, 44, 44);
}

.button:hover {
    cursor: pointer;
    background-color: rgb(44, 44, 44);
    color: rgb(253, 252, 236);
}

/* IMAGE */

img {
    border: solid 10px rgb(253, 252, 236);
    max-width: calc(100vw - 8rem);
    max-height: calc(100vh - 8rem);
    object-fit: contain;
    box-shadow: 0 0 25px 10px rgba(46, 29, 11, 0.5);
    filter: opacity(0);
}

@media (max-width: 767.98px), (max-height: 767.98px) {
    img {
        max-width: calc(100vw - 3rem);
        max-height: calc(100vh - 3rem);
    }
}

/* ANIMATION */

@keyframes fade {
    from {
        filter: opacity(0);
    } to {
        filter: opacity(1);
    }
}